import { IParams } from './types';
export declare class ProgressTicker {
    private readonly params;
    private interval;
    private startVideoPosition;
    private startTs;
    constructor(params: Pick<IParams, 'output'>);
    start(from?: number): void;
    pause(): void;
    destroy(): void;
}
